-- -- COPYRIGHT NOTICE -- --
-- This work is covered by the LGPL License. You are
-- able to modify, distribute and sublicense this
-- work as long as you include the original or show
-- clearly how to obtain it.

-- NOTES:
-- - Filename:   Translator.lua
-- - Written By: Trilesch and Digpoe
-- - Purpose:    General interface to the Translation system.

local function parse(str)
	local ret = { }
	for segment in str:gmatch("[^%.]+") do
		ret[#ret+1] = segment
	end
	return ret
end


function Translator(key)
	local locale = Turbine.Engine:GetLocale()
	local translation = require("CombatStatus.TranslateWidget."..locale:upper())
	if not translation then translation = require("CombatStatus.TranslationWidget.EN") end -- Translation doesn't exist, default to EN translations.
	local dest = parse(key)
	for _, v in pairs(dest) do translation = translation[v] end
	return translation
end